;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
;  MOUSEBTNA.ASM
;       
;  Purpose:       
;       Minimal assembly language file to build mousebtn.vxd.
;  
;
;  Author:  Dr. Iver
;
;  Copyright (C) 1997 Microsoft Corporation
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

.386p

        .xlist
        INCLUDE VMM.INC
        INCLUDE sys\i386\mapsysa.inc
        .list

Declare_Virtual_Device MOUSEBTN, 1, 0, \
                MOUSEBTN_Control, Undefined_Device_Id, Undefined_Init_Order


VxD_Locked_Data_Seg

current_msg                     db      0

VxD_Locked_Data_Ends

VxD_Locked_Code_Seg

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
;  MOUSEBTN_Control
;
;  Route CreateFile, DeviceIoControl, and CloseHandle user mode operations
;  to the DeviceIoControl function in mousebtn.c 
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
BeginProc MOUSEBTN_Control, PUBLIC

        mov current_msg, al

        Control_Dispatch W32_DEVICEIOCONTROL,     DeviceIOControl, sCall, <ecx, ebx, edx, esi>
        clc
        ret

EndProc MOUSEBTN_Control
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


VxD_Locked_Code_Ends
        end
