/*
 ********************************************************************************
 *
 *  W D M D R V . H
 *
 *  Purpose:
 *      Demonstrate how a VxD driver can call into WDM in order to preserve 
 *      existing VxD API interface.
 *
 *      This file contains prototypes for the functions exported by wdmdrv.sys
 *
 *  Copyright 1997  Microsoft Corp.
 *
 *  Author:     Dr. Iver
 *
 *
 ********************************************************************************
 */
#define DllExport    __declspec( dllexport )

// exports
NTSTATUS DllExport _stdcall ReadButtons(IN HANDLE h, OUT UINT *pButtonStatus );
HANDLE DllExport _stdcall OpenMouse( );
NTSTATUS DllExport _stdcall CloseMouse( HANDLE h );



